Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxTypes.h Go to the documentation of this file.
    00001
    00062 #ifndef IxTypes_H
    00063
    00064 #ifndef __doxygen_HIDE
    00065
    00066 #define IxTypes_H
    00067
    00068 #endif /* __doxygen_HIDE */
    00069
    00070 #ifdef __vxworks
    00071
    00072 #include <vxWorks.h>
    00073
    00074 #endif
    00075
    00076 typedef void (*IxVoidFnPtr)(void);
    00077
    00078 typedef void (*IxVoidFnVoidPtr)(void *);
    00079
    00080 #ifndef __INCvxTypesOldh
    00081 typedef int (*FUNCPTR)(void);
    00082 typedef int STATUS;
    00083 typedef int BOOL;
    00084 typedef unsigned char  UCHAR;
    00085 typedef unsigned short USHORT;
    00086 typedef unsigned int   UINT;
    00087 typedef unsigned long  ULONG;
    00088 typedef char  INT8;
    00089 typedef short INT16;
    00090 typedef int   INT32;
    00091 typedef unsigned char  UINT8;
    00092 typedef unsigned short UINT16;
    00093 typedef unsigned int   UINT32;
    00094 typedef unsigned long long UINT64;
    00095 typedef void VOID;
    00096
    00097 #define OK (0)
    00098 #define ERROR (-1)
    00099
    00100 #ifndef NELEMENTS
    00101 #define NELEMENTS(x) (sizeof(x) / sizeof((x)[0]))
    00102 #endif
    00103
    00104 #endif /* __INCvxTypesOldh */
    00105
    00106 typedef volatile UINT32 VUINT32;
    00107
    00108 typedef volatile INT32 VINT32;
    00109
    00110 /* IXP425-specific types */
    00111
    00112 typedef UINT32 IX_STATUS;
    00113
    00117 #define IX_SUCCESS 0
    00118 #define IX_FAIL 1
    00119
    00123 #ifndef TRUE
    00124 #define TRUE (1)
    00125 #endif
    00126
    00127 #if TRUE != 1
    00128 #error TRUE is not defined to 1
    00129 #endif
    00130
    00134 #ifndef FALSE
    00135 #define FALSE (0)
    00136 #endif
    00137
    00138 #if FALSE != 0
    00139 #error FALSE is not defined to 0
    00140 #endif
    00141
    00145 #ifndef NULL
    00146 #define NULL 0L
    00147 #endif /* NULL */
    00148
    00149 #ifndef PRIVATE
    00150 #ifdef IX_PRIVATE_OFF
    00151 #define PRIVATE /* nothing */
    00152 #else
    00153 #define PRIVATE static
    00154 #endif /* IX_PRIVATE_OFF */
    00155 #endif /* PRIVATE */
    00156
    00157 #ifndef PUBLIC
    00158 #define PUBLIC
    00159 #endif /* PUBLIC */
    00160
    00161 #endif /* IxTypes_H */
    00162
Automatically generated from sources. © Intel Corp. 2003